> ## Documentation Index
> Fetch the complete documentation index at: https://developer.vanta.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Reorder controls in a Trust Center control category

> Reorders controls within a control category on a Trust Center. The
request body must contain the complete set of control IDs in the
category in the desired order.



## OpenAPI

````yaml /reference/manage-vanta.json put /trust-centers/{slugId}/control-categories/{categoryId}/controls/order
openapi: 3.0.0
info:
  title: Manage Vanta
  version: 1.0.0
  description: >-
    The REST API lets customers query and mutate Vanta's data. Use this API to
    automate bulk actions, query data for custom workflows and dashboards, and
    bolster your security operations


    **Note for Vanta Gov (FedRAMP) customers:** Select `Vanta Gov (FedRAMP)`
    from the server dropdown to issue requests against
    `https://api.vanta-gov.com`. The OAuth token URL shown below defaults to the
    commercial host — replace it with `https://api.vanta-gov.com/oauth/token`.
  termsOfService: https://www.vanta.com/terms
  license:
    name: UNLICENSED
  contact:
    name: API Support
    url: https://help.vanta.com/
    email: support@vanta.com
servers:
  - url: https://api.vanta.com/v1
    description: Vanta (Commercial)
  - url: https://api.vanta-gov.com/v1
    description: Vanta Gov (FedRAMP)
security: []
paths:
  /trust-centers/{slugId}/control-categories/{categoryId}/controls/order:
    put:
      tags:
        - Trust Centers
      summary: Reorder controls in a Trust Center control category
      description: |-
        Reorders controls within a control category on a Trust Center. The
        request body must contain the complete set of control IDs in the
        category in the desired order.
      operationId: UpsertTrustCenterControlsInCategoryOrder
      parameters:
        - in: path
          name: slugId
          required: true
          schema:
            type: string
        - in: path
          name: categoryId
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ReorderTrustCenterControlsInput'
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TrustCenterControlCategory'
              examples:
                Example 1:
                  value:
                    id: 93d69894dd525f806d7e5c48
                    name: Category name
      security:
        - bearerAuth: []
components:
  schemas:
    ReorderTrustCenterControlsInput:
      properties:
        orderedControlIds:
          items:
            type: string
          type: array
          description: >-
            Ordered list of all control IDs in the category representing the
            desired order.
      required:
        - orderedControlIds
      type: object
      additionalProperties: false
    TrustCenterControlCategory:
      properties:
        id:
          type: string
          description: Unique identifier for the control category.
        name:
          type: string
          description: Name of the category.
      required:
        - id
        - name
      type: object
      additionalProperties: false
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````